algorithm_kwargs:
  batch_size: 1
  eval_freq: 8
  num_epochs: 256
  start_epoch: 0
amp: false
dataset_kwargs:
  batch_size: 1
  crop_size: 480
  dataset: pascal_context
  image_size: 520
  normalization: vit
  num_workers: 10
  split: train
inference_kwargs:
  im_size: 520
  window_size: 480
  window_stride: 320
log_dir: testmodels
net_kwargs:
  backbone: vit_large_patch16_384
  d_model: 1024
  decoder:
    drop_path_rate: 0.0
    dropout: 0.1
    n_cls: 60
    n_layers: 2
    name: mask_transformer
  drop_path_rate: 0.1
  dropout: 0.0
  image_size: !!python/tuple
  - 480
  - 480
  n_cls: 60
  n_heads: 16
  n_layers: 24
  normalization: vit
  patch_size: 16
optimizer_kwargs:
  clip_grad: null
  epochs: 256
  iter_max: 1278976
  iter_warmup: 0.0
  lr: 0.001
  min_lr: 1.0e-05
  momentum: 0.9
  opt: sgd
  poly_power: 0.9
  poly_step_size: 1
  sched: polynomial
  weight_decay: 0.0
resume: true
version: normal
world_batch_size: 1
